
-- Crow Lib
-- Pobre - 2016

---------------------------
-- CmdList
---------------------------

SLASH_CR_RELOADUI1 = "/rl"
SLASH_CR_RELOADUI2 = "/reload"
SLASH_CR_RELOADUI3 = "/reloadui"
SLASH_CR_VOLUME1 = "/volume"
SLASH_CR_VOLUME2 = "/vol"
SLASH_CR_VOLUME3 = "/vl"
SLASH_CR_OPENALL1 = "/openall"

---------------------------
-- Functions
---------------------------

local function split(args)
	if args:find("%s") then
		return strsplit(" ", args)
	else
		return args
	end
end

function GetAchievementId(hyperlink)
   return string.match(hyperlink,":(%d+):")
end
---------------------------
-- CmdHandlers
---------------------------

-- Simplified volume control from chat box
local function VolumeHandler(cmd)
	local volumeChannel, volume = split(cmd);
	if volumeChannel == "master" and volume ~= "" then
		SetCVar("Sound_MasterVolume", volume/100);
	elseif volumeChannel == "sfx" and volume ~= "" then
		SetCVar("Sound_SFXVolume", volume/100);
	elseif volumeChannel == "music" and volume ~= "" then
		SetCVar("Sound_MusicVolume", volume/100);
	elseif volumeChannel == "ambience" and volume ~= "" then
		SetCVar("Sound_AmbienceVolume", volume/100);
	elseif volumeChannel == "dialog" and volume ~= "" then
		SetCVar("Sound_DialogVolume", volume/100);
	end
end


SlashCmdList["CR_RELOADUI"] = ReloadUI
SlashCmdList["CR_VOLUME"] = VolumeHandler
SlashCmdList["CR_OPENALL"] = OpenAll
